# Check BLS

**How to check whether the validator starts bls correctly**. After starting the validator after adding the bls unlock command, using the rei attach command to connect to the ipc.

```
rei attach --datadir ~/reiDataDir
```

**Type in the console**

```
rei.getMinerInfo('blockNumber')
```

Where `blockNumber` is the hexadecimal of the block height you want to view, it is recommended to use the latest block height. Press Enter to view the validator information, **for example**

```
> rei.getMinerInfo('0xe11791')
> {
	"coinbase": "0x9b1aa72d791cb5143ca5e3816d3920501af081cb",
	"unlockAccount": [
		"9b1aa72d791cb5143ca5e3816d3920501af081cb"
	],
	"unlockBLSPublicKey": "0xb16c90a5b22add64a4989583f2338fabc34ee89cedca2fb5f9c1d42a9ea41cae65abd695f423424a661855b30d736cb8",
	"registerBLSPublicKey": "b16c90a5b22add64a4989583f2338fabc34ee89cedca2fb5f9c1d42a9ea41cae65abd695f423424a661855b30d736cb8"
}
```

Compare the public keys in the `unlockBLSPublicKey` and bls keystore files to see if they are the same

{% hint style="info" %}
***NOTE:*** `registerBLSPublicKey` will be displayed correctly after the block 15084585, and the previous block height will be displayed as `null`, but this does not affect.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rei.network/rei-dao/guides/using-bls/check-bls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
